#pragma once
#include "Entity.h"
#include "MenuTextKeyboard.h"
#define MENUTEXTSK3_PLAYER1KEYBOARD_CREATENAME L"menutext_player1keyboard_sk3"
class MenuTextSk3_Player1Keyboard :
    public MenuTextKeyboard
{
public:
    InputSetting_Keyboard* GetInputSetting() override;
    SDL_Scancode* GetBind(InputSetting_Keyboard* setting) override;
};

std::shared_ptr<Entity> CreateMenuTextSk3_Player1Keyboard();